/**
 @file EDView.h
 @brief EgyptDJ ~(-_-)~ 뷰 헤더 파일
 
 Created by Hoppang on 08. 12. 20.
 */

#import <Cocoa/Cocoa.h>

/**
 @brief 뷰 인터페이스
 */
@interface EDView : NSView {
	CGLayerRef spriteLayer;
	CGImageRef spriteImage;
	CGContextRef tempContext, spriteContext;
	
	CGLayerRef whiteNoteLayer, blueNoteLayer;
	CGContextRef whiteNoteContext, blueNoteContext;
}

- (id)initWithFrame:(NSRect)frameRect;

@end

CGContextRef LoadSprite(NSString *path);
